Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511147 - unable to scan lvm2 partitions that were thin provisioned under rhevm 4.1
Summary: unable to scan lvm2 partitions that were thin provisioned under rhevm 4.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis
Version: 5.8.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.8.3
Assignee: Mo Morsi
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On: 1488378
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-08 18:52 UTC by Satoe Imaishi
Modified: 2018-02-28 13:08 UTC (History)
15 users (show)

Fixed In Version: 5.8.3.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1488378
Environment:
Last Closed: 2018-02-28 13:08:18 UTC
Category: ---
Cloudforms Team: RHEVM


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0374 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2018-02-28 18:04:37 UTC

Comment 2 Oved Ourfali 2018-01-12 16:18:09 UTC
Mo, should this move to post?

Comment 3 Oved Ourfali 2018-01-12 16:20:26 UTC
Oh. Just noticed it wasn't backported. At least i don't see a backport in the bug.
Satoe, anything you need from Mo in order to backport?

Comment 4 Satoe Imaishi 2018-01-12 16:27:49 UTC
I asked in the PR if the BZ can be backported as there is no "fine/yes" flag:

https://github.com/ManageIQ/manageiq-smartstate/pull/28#issuecomment-342921692

Comment 5 Oved Ourfali 2018-01-12 18:31:13 UTC
Mo, can you please reply to Satoe?

Comment 6 Mo Morsi 2018-01-15 23:06:24 UTC
Hey Satoe, Oved, sorry this one go lost somewhere in the gaps. I don't see any reason why this fix could not be backported to previous releases. Go for it.

Comment 7 CFME Bot 2018-01-17 20:59:56 UTC
New commit detected on ManageIQ/manageiq-gems-pending/fine:
https://github.com/ManageIQ/manageiq-gems-pending/commit/fa86b88c418c00fece26db84ccffc823068cf81c

commit fa86b88c418c00fece26db84ccffc823068cf81c
Author:     Richard Oliveri <oliveri.richard.github@gmail.com>
AuthorDate: Fri Sep 22 11:44:43 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jan 17 15:49:53 2018 -0500

    Merge pull request #28 from movitto/preallocated_lvm2thin_fix
    
    Handle case where attempted LVM2 Thin device reads fail
    (cherry picked from commit 9ae19959eee351a71919996464bca31bea45c336)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1511147

 lib/gems/pending/VolumeManager/LVM/lvm2disk.rb     | 13 +++++--
 .../pending/VolumeManager/LVM/thin/data_map.rb     | 14 +++++++
 .../pending/VolumeManager/LVM/thin/superblock.rb   | 45 +++++++++++++++-------
 3 files changed, 55 insertions(+), 17 deletions(-)

Comment 8 Ilanit Stein 2018-01-24 09:28:07 UTC
Satoe,

Should this bug be ON_QA please?

Thanks.

Comment 9 Satoe Imaishi 2018-01-24 13:41:52 UTC
The latest 5.8.z build doesn't have this change. I will move to ON_QA when the next build becomes ready for testing.

Comment 10 Ilanit Stein 2018-02-05 15:45:57 UTC
Verified on CFME-5.8.3.2/RHV-4.1.8:

Created a VM with 1 disk with RHEL-7.4 OS, and a 2nd disk,
created by the bellow guidance, with RHV storage QE team help.
Smart state analysis for this VM ended up successfully.
Packages, users, files were collected successfully.

Mo's guidance for creating the 2nd image:
"create a raw disk image and then partition it and incorporate it into a LVM physical / logical volume structure.

https://superuser.com/questions/518554/how-do-you-create-and-partition-a-raw-disk-image

https://www.redhat.com/archives/linux-lvm/2008-June/msg00045.html

When setting up the volume, make sure it is allocated via 'thin provisioning'

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Logical_Volume_Manager_Administration/thinly_provisioned_volume_creation.html


You can then 'dd' a small amount of data onto the logical volume, but you _shouldn't_ format it with any filesystem as that will more certainly allocate more blocks than the original issue can be replicated with."

Comment 13 errata-xmlrpc 2018-02-28 13:08:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0374


Note You need to log in before you can comment on or make changes to this bug.